Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

How could I solve this following problem:

 'mathtools.sty' not found .\usepackage

I am using following packages:

 \documentclass[12pt]{report} 
 \usepackage{textcomp, amssymb} 
 \usepackage{graphicx}
 \usepackage{amsmath}
 \usepackage{mathtools}
 \usepackage[all]{xy}
 \usepackage{algorithm}
 \usepackage{algorithmic}
 \usepackage{helvet} 
 \usepackage{color}

I am compiling my .tex code in kile.

share|improve this question
    
Which TeX distribution do you use? –  Mico Sep 28 '12 at 20:49
    
i do not understand what do you mean. what is tlmgr.There is ubuntu in my machine. how would install it there? –  thetna Sep 28 '12 at 20:54
1  
@thetna: If you type tex at a command prompt, you'll get a message string (e.g., This is TeX, Version 3.1415926 (TeX Live 2012)), and then a ** prompt. (Type "control-d" to exit from TeX's interactive mode.) Or, if you type latex at a command prompt, you might something like This is pdfTeX, Version 3.1415926-2.4-1.40.13 (TeX Live 2012), followed by a ** interactive prompt. Your system's TeX distribution is the part of the message string inside parentheses (in my case, "TeX Live 2012"). –  Mico Sep 28 '12 at 21:24
1  
This is TeX, Version 3.1415926 (TeX Live 2009/Debian). –  thetna Sep 28 '12 at 21:37
1  
let us continue this discussion in chat –  thetna Sep 28 '12 at 21:51
show 5 more comments

closed as too localized by Martin Schröder, Paul Gaborit, Tom Bombadil, cmhughes, doncherry Sep 29 '12 at 5:36

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

1 Answer

sudo apt-get install texlive-latex3 

solved my problem.The reason behind this problem was, latex mathematical style file mathtools.sty was missing. When i installed texlive-latex3 those missing files were added. This is lighter than the full texlive.

share|improve this answer
1  
This is very short for an answer. Can you more specific why this command resolves your problem. Perhaps a summary of the content of the chat? –  Kurt Sep 28 '12 at 22:55
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.